---
layout: feature
title: GitLab Continuous Integration &amp; Delivery
description: "Learn about GitLab's integrated CI/CD pipelines that help to build, test, deploy, and monitor your code."
suppress_header: true
canonical_path: "/stages-devops-lifecycle/continuous-integration/"
extra_css:
  - solutions-v3.css
  - comparison-page-v2.css
  - carousel.css

extra_js:
  - comparison-v2.js
  - bootstrap-tooltip.js
  - carousel.js
---

.blank-header.blank-header-has-gradient
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content.text-center
    = image_tag "/images/devops-tools/gitlab-logo.svg", class: "hero-image-small", alt: "Gitlab logo svg"
    %h1 Continuous Integration (CI) with GitLab
    %p
      Powerful automation to build and test faster at any scale
    = link_to "Watch a GitLab CI/CD webcast", "/webcast/mastering-ci-cd/", class: "btn cta-btn orange"
.sub-wrapper
  .container-container.padding-vertical60.white-bg
    .container
      / ----- This creates the full wide section of text - CI Built In
      = partial('includes/solutions/ci/old/1-full-wide-text-ci-built-in.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the full wide section - What Is CI CD
      = partial('includes/solutions/ci/old/3-full-wide-text-whatis-cicd.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the full wide section over an image - Why Gitlab CI CD Workflow
      = partial('includes/solutions/ci/old/4-text-over-image-why-ci-cd-workflow.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the full wide section over an image - GitLab CICD Advantages
      = partial('includes/solutions/ci/old/5-text-over-image-gitlab-cicd-advantages.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the full wide section of text - CI Built In
      = partial('includes/solutions/ci/old/6-full-wide-text-ci-features.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the two panel section Text-Image - GitLab DevOps
      = partial('includes/solutions/ci/old/7-two-column-text-image-gitlab-devops.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the two panel section Text-Image - GitLab Cloud Native
      = partial('includes/solutions/ci/old/8-two-column-text-image-gitlab-cloudnative.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the two panel section Image-Text - Fully Integrated GitLab
      = partial('includes/solutions/ci/old/9-two-column-image-text-fully-integrated-gitlab.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the two panel section Text-Image - GitLab CI Architecture
      = partial('includes/solutions/ci/old/10-two-column-text-image-architecture.html.haml')
      
  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the two panel section Image-Text - GitLab Runner
      = partial('includes/solutions/ci/old/11-two-column-image-text-gitlab-runner.html.haml')

  .container-container.padding-vertical0.white-bg
    .container
      / ----- This creates the two panel section Text-Image - Git more help and info
      = partial('includes/solutions/ci/old/12-two-column-text-image-help-more-info.html.haml')
